## aspell 0.60.8.1

=== test/Makefile ===
CXXFLAGS = -O -g
CFLAGS   = -O -g
ASPELL_WRAP = # valgrind
export ASPELL = ${CURDIR}/inst/bin/aspell
export PREZIP = ${CURDIR}/inst/bin/prezip-bin
EXTRA_CONFIG_FLAGS =
ifdef SLOPPY
  EXTRA_CONFIG_FLAGS += --enable-sloppy-null-term-strings
endif

.PHONY: all prep sanity filter-test suggest wide cxx_warnings
all: prep sanity filter-test suggest wide cxx_warnings
	cat test-res

# warning-settings.mk defines EXTRA_CXXFLAGS
warning-settings.mk: warning-settings.cpp
	$(CXX) warning-settings.cpp -o warning-settings
	./warning-settings > warning-settings.mk
include warning-settings.mk

prep: inst/bin/aspell inst/lib/aspell-0.60/en.multi tmp
	rm -f test-res

tmp:
	mkdir tmp

sanity: prep
	./sanity
	echo "all ok (sanity)" >> test-res

filter-test: prep
	./filter-test "${ASPELL_WRAP} ${ASPELL}" < markdown.dat
	echo "all ok (markdown filter-test)" >> test-res

inst/bin/aspell: build/Makefile phony
	$(MAKE) -C build aspell && ( cmp -s build/aspell inst/bin/aspell || $(MAKE) -s -C build install )

inst/lib/aspell-0.60/en.multi: inst/bin/aspell aspell6-en-2018.04.16-0.tar.bz2
	tar xf aspell6-en-2018.04.16-0.tar.bz2
	cp en_phonet.dat aspell6-en-2018.04.16-0
	cd aspell6-en-2018.04.16-0 && ./configure
	$(MAKE) -C aspell6-en-2018.04.16-0 install
	cp en.dat en.prepl en_repl.dat en_phonet.dat inst/lib/aspell-0.60
	echo 'add en_US.multi' > inst/lib/aspell-0.60/en_US-w_repl.multi
	echo 'add en.prepl' >> inst/lib/aspell-0.60/en_US-w_repl.multi

build/Makefile:
	mkdir -p build
	cd build && ../../configure "CXXFLAGS=${CXXFLAGS} ${EXTRA_CXXFLAGS}" "CFLAGS=${CFLAGS}" -q --enable-silent-rules --disable-shared --disable-pspell-compatibility --prefix="${CURDIR}/inst" $(EXTRA_CONFIG_FLAGS)

aspell6-en-2018.04.16-0.tar.bz2:
	curl -O ftp://ftp.gnu.org/gnu/aspell/dict/en/aspell6-en-2018.04.16-0.tar.bz2

.PHONY: clean
clean:
	rm -rf warning-settings warning-settings.mk inst build tmp aspell6-en-2018.04.16-0

suggest.mk: suggest/mkmk
	suggest/mkmk > suggest.mk

include suggest.mk

.PHONY: wide_test_invalid wide_test_invalid-but_ok wide_test_valid
wide: wide_test_invalid wide_test_invalid-but_ok wide_test_valid

wide_test_invalid: wide_test_invalid.c prep
	$(CC) $(CFLAGS) -Iinst/include -c $< -o tmp/$@.o
	$(CXX) $(CXXFLAGS) tmp/$@.o inst/lib/libaspell.a -ldl -o $@
ifdef SLOPPY
	./$@
	echo "ok ($@ SLOPPY)" >> test-res
else
	./$@ 2> tmp/$@.log || true
	fgrep -q 'Null-terminated wide-character strings unsupported when used this way.' tmp/$@.log
	echo "ok ($@)" >> test-res
endif

wide_test_valid: wide_test_valid.c prep
	$(CC) $(CFLAGS) -Iinst/include -c $< -o tmp/$@.o
	$(CXX) $(CXXFLAGS) tmp/$@.o inst/lib/libaspell.a -ldl -o $@
	./$@
	echo "ok ($@)" >> test-res

wide_test_invalid-but_ok: wide_test_invalid.c prep
	$(CC) $(CFLAGS) -DASPELL_ENCODE_SETTING_SECURE -Iinst/include -c $< -o tmp/$@.o
	$(CXX) $(CXXFLAGS) tmp/$@.o inst/lib/libaspell.a -ldl -o $@
	./$@
	echo "ok ($@)" >> test-res

cxx_warnings:  cxx_warnings_test.cpp prep
	$(CXX) $(CXXFLAGS) -Wall -Wconversion -Werror -Iinst/include -c $<
	echo "ok ($@)" >> test-res

.PHONY: phony
phony:

## aspell 0.60.6

=== debian/changelog ===
aspell (0.60.6-4) unstable; urgency=low

  * Bumped Standards-Version to 3.8.4, no changes necessary

  * Document output format "-" for run-together in pipe mode, thanks Jörg
    Sommer <joerg@alea.gnuu.de> for the patch. (Closes: #499570)

  * Cleaned up patch headers to remove obsolete dpatch stuff

  * Updated debian/compat to v7

  * Added a manpage for prezip/preunzip/precat.

 -- Brian Nelson <pyro@debian.org>  Wed, 10 Mar 2010 21:18:01 -0500

aspell (0.60.6-3) unstable; urgency=low

  * Switched to dpkg-source 3.0 (quilt) format

  * No longer use dpatch

  * Cleared the dependency_libs= lines in the .la files

  * Bumped Standards-Version to 3.8.3, no changes necessary

  * Added a debian/watch file

 -- Brian Nelson <pyro@debian.org>  Thu, 21 Jan 2010 20:05:20 -0800

aspell (0.60.6-2) unstable; urgency=low

  * Applied a patch from Christer Andersson <klamm@comhem.se> to add a
    filter for DDTP emails. (Closes: #457274)

  * Increased debhelper compat to v7

  * debian/control: added ${misc:Depends} dependencies to each binary
    package

  * Bumped Standards-Version to 3.8.2, no changes necessary
 
  * Restored the html documenation to aspell-doc, which at some point had
    gotten accidentally dropped.

  * Made dh_makeshlibs ignore files in usr/lib/aspell to fix the
    unused-shlib-entry-in-control-file lintian warning

 -- Brian Nelson <pyro@debian.org>  Sat, 15 Aug 2009 13:32:26 -0400

aspell (0.60.6-1) unstable; urgency=low

  * New upstream release
    - Removed the 03_extra_qualification_fix.dpatch,
      05_removedebug_munchlist.dpatch, and 06_add_oo-only_texi.dpatch,
      patches as they've been incorporated upstream
    - debian/patches/04_gcc43_build_fix.dpatch: updated for integrated
      fixes

  * Bumped Standards-Version to 3.8.0, no changes necessary

 -- Brian Nelson <pyro@debian.org>  Tue, 24 Jun 2008 14:50:59 -0400

aspell (0.60.5-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Applied NMU patch by Thomas Viehmann <tv@beamnet.de> to
    - Regenerate html documentation removed by make distclean. Closes: #424107
    - Clean up autotools patch. Closes: #403076
    - Add missing oo-only.texi from upstream cvs.
  * Moved changes to filter.pot into a patch.
  * Moved homepage information to its own field in debian/control.
  * Bumped Standards-Version to 3.7.3, no change needed.
  * Replaced deprecated substvars notation by new one.
  * Replaced full GFDL by reference to /usr/share/common-licenses/GFDL in
    aspell-doc.copyright to fix lintian error message.

 -- Michael Meskes <meskes@debian.org>  Wed, 23 Apr 2008 11:52:08 +0200

aspell (0.60.5-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Added additional gcc 4.3 build fixes (Closes: #452310)

 -- Michael Meskes <meskes@debian.org>  Sun, 06 Apr 2008 13:38:31 +0200

aspell (0.60.5-2) unstable; urgency=low

  * patches/04_gcc43_build_fix.dpatch: new patch to fix a (possible?) GCC
    4.3 build failure (Closes: #452310)

  * patches/05_removedebug_munchlist.dpatch: new patch from Roland
    Rosenfeld to fix invalid output in munch-list (Closes: #428285)

 -- Brian Nelson <pyro@debian.org>  Mon, 28 Jan 2008 09:29:19 -0500

aspell (0.60.5-1) unstable; urgency=low

  * New upstream release
    - Buggy '-m' option fixed (Closes: #400878)
    - Core dump with when (r)eplacing with 00 fixed (Closes: #347191)
    - Improper Tex filter handling of escaped % fixed (Closes: #347589)
    - Affix compression bug fixed (Closes: #340958)
  
  * Removed debian/patches/03_extra_qualification_fix.dpatch, incorporated
    upstream

  * debian/patches/10_autotools.dpatch: regenerated

  * debian/control: dropped the libaspell15c2 dummy package, as nothing in
    the archive depends on it any more

 -- Brian Nelson <pyro@debian.org>  Sat, 17 Feb 2007 20:59:32 -0500

aspell (0.60.4-4) unstable; urgency=low

  * debian/patches/03_extra_qualification_fix.dpatch: new patch to fix a
    FTBFS with GCC 4.1.  Thanks to Martin Michlmayr <tbm@cyrius.com> for
    the patch. (Closes: #356444)

  * Updated to standards version 3.7.2

 -- Brian Nelson <pyro@debian.org>  Sat, 13 May 2006 15:25:15 -0700

aspell (0.60.4-3) unstable; urgency=low

  * debian/aspell.manpages: added manual/prezip-bin.1

  * debian/rules: removed the -D argument from the install command of
    debian/aspell.compat, since the destination directory already should
    exist anyway and having it mysteriously breaks some builds (namely
    ia64 at the moment).

 -- Brian Nelson <pyro@debian.org>  Fri, 20 Jan 2006 12:26:37 -0800

aspell (0.60.4-2) unstable; urgency=low

  * Rebuilding, which should fix segfaults due to C++ ABI changes
    (Closes: #343060)

  * Renamed debian/aspell.overrides to debian/aspell.lintian, and modified
    debian/rules to install it

  * Updated FSF address in the copyright files

  * debian/aspell.lintian: added "aspell:
    package-has-a-duplicate-relation"

  * debian/patches/02_u-deva_common_data.dpatch: new patch to add
    u-deva.cset and u-deva.cmap data files, needed by aspell-hi and
    aspell-mr

  * debian/control: have aspell replace versions of aspell-hi and
    aspell-mr that contained the u-deva files

 -- Brian Nelson <pyro@debian.org>  Mon,  2 Jan 2006 20:57:57 -0800

aspell (0.60.4-1) unstable; urgency=low

  * New upstream release

  * debian/patches/10_autotools: regenerated

 -- Brian Nelson <pyro@debian.org>  Tue, 25 Oct 2005 23:43:21 -0700

aspell (0.60.3-5) unstable; urgency=low

  * Moved the 01_autotools patch to 10_autotools

  * debian/patches/01_debctrl: wrote a patch for a Debian packaging
    control file filter (Closes: #111929)

  * debian/patches/10_autotools: reran autotools to update build system so
    that it builds the debctrl filter

  * Updated aspell.1 manual to document the new debctrl filter

 -- Brian Nelson <pyro@debian.org>  Mon,  1 Aug 2005 23:56:49 -0700

aspell (0.60.3-4) unstable; urgency=low

  * manual/aspell.1: removed a stray ')' character



=== debian/control ===
Source: aspell
Section: text
Priority: optional
Maintainer: Brian Nelson <pyro@debian.org>
Build-Depends: debhelper (>= 7), libncursesw5-dev | libncurses-dev, cdbs (>= 0.4.0), texinfo
Standards-Version: 3.8.4
Homepage: http://aspell.net/

Package: aspell
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libaspell15 (= ${binary:Version}), dictionaries-common (>> 0.40)
Recommends: aspell-en | aspell-dictionary | aspell6a-dictionary
Suggests: aspell-doc, spellutils
Conflicts: aspell-bin (<< 0.60.3-2)
Replaces: aspell-bin (<< 0.60.3-2), aspell-hi (<= 0.01-1), aspell-mr (<= 0.10-1)
Provides: aspell-bin
Description: GNU Aspell spell-checker
 GNU Aspell is a spell-checker which can be used either as a standalone
 application or embedded in other programs.  Its main feature is that it
 does a much better job of suggesting possible spellings than just about
 any other spell-checker available for the English language, including
 Ispell and Microsoft Word.  It also has many other technical
 enhancements over Ispell such as using shared memory for dictionaries
 and intelligently handling personal dictionaries when more than one
 Aspell process is open at once.
 .
 Aspell is designed to be a drop-in replacement for Ispell.

Package: aspell-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Suggests: aspell (>> 0.60)
Description: Documentation for GNU Aspell spell-checker
 This package contains the documentation for GNU Aspell in various
 formats.  The aspell package comes with minimal man pages.  Install
 this package if you need further information on the development process
 and workings of Aspell.

Package: libaspell15
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: aspell6-dictionary, aspell-bin (<< 0.60.3-2)
Recommends: aspell-en | aspell-dictionary | aspell6a-dictionary
Suggests: aspell
Description: GNU Aspell spell-checker runtime library
 These are the runtime parts of the Aspell and pspell spell-checking
 toolkits, needed by applications that use the toolkits at runtime.
 .
 For a standalone spell-checker, install aspell as well.

Package: libaspell-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libaspell15 (= ${binary:Version})
Suggests: aspell-doc
Description: Development files for applications with GNU Aspell support
 This package contains the headers and static libraries for developing
 applications with Aspell spell-checking support.
 .
 You need this package ONLY if you plan to build applications that link
 against the Aspell libraries.  You do not have to install this package
 if all you want to do is use the Aspell program to spell-check
 documents.

Package: libpspell-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libaspell15 (= ${binary:Version}), libaspell-dev
Replaces: aspell-bin (<< 0.50.3-3)
Suggests: aspell-doc
Description: Development files for applications with pspell support
 This package contains the headers and static libraries for developing
 applications with portable spell-checking interface (pspell) support.
 .
 You need this package ONLY if you plan to build applications that link
 against the pspell static libraries.  You do not have to install this
 package if all you want to do is use the Aspell program to spell-check.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_DH_MAKESHLIBS_ARGS_ALL := -V'libaspell15 (>= 0.60)' -Xusr/lib/aspell

DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_INSTALL_CHANGELOGS_ALL := manual/aspell.html/ChangeLog.html
DEB_CONFIGURE_EXTRA_FLAGS := --enable-pkgdatadir=/usr/lib/aspell --enable-pkglibdir=/usr/lib/aspell

build/aspell-doc::
	make -C manual aspell.html aspell-dev.html

install/aspell::
	install -m644 debian/aspell.compat debian/aspell/usr/share/aspell/
	install -D -m644 debian/aspell.lintian debian/aspell/usr/share/lintian/overrides/aspell

install/aspell-doc::
	dh_install --sourcedir=manual -paspell-doc aspell.html usr/share/doc/aspell-doc/
	dh_install --sourcedir=manual -paspell-doc aspell-dev.html usr/share/doc/aspell-doc/

binary-install/libaspell15::
# The spell and ispell compatibility scripts don't belong in
# /usr/lib/aspell, dammit.
	rm -f debian/libaspell15/usr/lib/aspell/spell \
	      debian/libaspell15/usr/lib/aspell/ispell

# Empty the dependency_libs lines in the .la files
	sed -i "s,^dependency_libs=.*,dependency_libs=''," \
	   debian/libaspell15/usr/lib/aspell/*.la

binary-install/libaspell-dev::
binary-install/libpspell-dev::
	sed -i "s,^dependency_libs=.*,dependency_libs=''," \
	   debian/libaspell-dev/usr/lib/*.la \
	   debian/libpspell-dev/usr/lib/*.la

=== debian/watch ===
version=3
ftp://ftp.gnu.org/gnu/aspell/aspell-(.*)\.tar\.gz

## aspell 0.60.7~20110707

=== debian/changelog ===
aspell (0.60.7~20110707-4ubuntu0.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Heap based buffer overflow
    - debian/patches/CVE-2019-25051.patch: assert that the alloc size will
      fit within a chunk to prevent a buffer overflow in common/objstack.hpp.
    - CVE-2019-25051

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 22 Jul 2021 15:28:23 -0300

aspell (0.60.7~20110707-4ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Stack-based buffer over-read
    - debian/patches/CVE-2019-17544.patch: add checks
      in common/config.cpp, common/file_util.cpp,
      common/getdata.cpp.
    - CVE-2019-17544

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 15 Oct 2019 09:12:09 -0300

aspell (0.60.7~20110707-4) unstable; urgency=medium

  * Upstream patch to fix build failure with GCC 7. Thanks Steve Langasek
    and Matthias Klose (Closes: #853320).
  * Bump Standards-Version.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Aug 2017 13:00:10 +0200

aspell (0.60.7~20110707-3) unstable; urgency=medium

  * Really upload to sid.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 06 Mar 2015 18:38:42 +0100

aspell (0.60.7~20110707-2) experimental; urgency=medium

  * Upload to sid.
  * Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 26 Feb 2015 17:28:51 +0100

aspell (0.60.7~20110707-2~exp1) experimental; urgency=low

  [ Brian Nelson ]
  * Remove obsolete 10_autotools.diff patch

  [ Agustin Martin Domingo ]
  * Refresh quilt patches again. Did it wrongly with Index, basedir and
    timestamps.
  * control: Add myself to Uploaders.
  * 1000_fix-man-pages.diff: New patch to add minor fixes in some man
    pages. Thanks Bjarni Ingi Gislason
    (Closes: #662216, #663124, #664684).
  * Revert previous change and use "/usr/lib/aspell" again for dict and
    data dirs, preserving multiarch pkglibdir (Closes: #772415).

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 23 Feb 2015 18:19:51 +0100

aspell (0.60.7~20110707-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Break pre-multiarch arch:any aspell dictionaries.
    Their 64 bit versions will no longer work with new aspell package
    (Closes: #764189).
  * Refresh quilt patches to work around FTBFS. dpkg-source now fails
    on old format patches.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 06 Oct 2014 11:54:20 +0200

aspell (0.60.7~20110707-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Implement multiarch (Closes: #667592), (LP:#1324525, LP:#960160).
    This is only a partial multiarch implementation, where aspell hashes
    can be shared between 32/64 bit architectures with the same endianness
    (but not with different endiannesses) by always using 32bit numbers.
  * Some independent changes needed for multiarch:
    - 08_filters-info-installdir.diff: Make sure all filters related stuff
      is installed together. This should make possible to have different
      values for "pkgdatadir" and "pkglibdir" selections, thus really
      fixing (Closes: #612051).
    - Force aspell hash function to use a 32-bit integer to allow
      hashes being shared between 32 and 64 bit architectures. Note that
      they cannot be shared between systems with different endianness.
    - Modify to use "/usr/share/aspell" for arch indep stuff, except
      filters and dict description files. Change aspell compat level.
    - 09_debian-dictdir.diff: Implement a new debian specific
      "--debian-dict-dir" configure option to allow explicitly setting an
      independent path for dictionaries.
    - debian/rules: Make sure original Changelog.html is installed. It
      gets rebuilt later and may lead to problems with multiarch if
      different makeinfo versions are used in different architectures.
  * debian/control: Canonicalize Vcs-* headers.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 29 Sep 2014 12:04:58 +0200

aspell (0.60.7~20110707-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Mauricio Faria de Oliveira ]
  * Build with autoreconf. (Closes: #745075)
  * Disable 10_autotools.patch (no longer required due to the change
    above).

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 07 Aug 2014 20:53:30 +0100

aspell (0.60.7~20110707-1) unstable; urgency=low

  * New upstream snapshot 0.60.7-20110707
    - Removed 06_null_input_segfault_fix and 11_special_chars patches as
      they've been applied upstream
    - Fixes unexpected Ctrl-C quits program (Closes: #600214)
    - Partial support for recognizing the Unicode apostrophe
      (Closes: #533378)
  * Updated policy to 3.9.2, no changes necessary

 -- Brian Nelson <pyro@debian.org>  Thu, 28 Jul 2011 23:27:13 -0400

aspell (0.60.6-6) unstable; urgency=low

  * Removed the debian-changes-0.60.6-5 patch which was accidentally
    introduced.
  * Reverted the pkgdatadir change since it breaks filters.  The spell and
    ispell scripts will just be left in /usr/lib/aspell, which is a
    retarded place for them but, eh, it's just not worth fighting the
    aspell build system over it.  (Closes: #612051)

 -- Brian Nelson <pyro@debian.org>  Sat, 05 Feb 2011 09:48:49 -0500

aspell (0.60.6-5) unstable; urgency=low

  * Added a grammatical fix for aspell.1 to 05_doc_fix.diff
    (Closes: #576749)
  * debian/control: added Vcs fields for git repository
  * Added new patch 06_null_input_segfault_fix.diff
    (Closes: #596642)
  * debian/rules: changed pkgdatadir to /usr/share/aspell which is a more
    appropriate location for that data than /usr/lib/aspell, and leave the
    spell and ispell scripts there so that run-with-aspell works
    (Closes: #599653)
  * Added new patch 11_special_chars.diff from Ubuntu to support German
    umlauts (Closes: #591355)
  * Updated to policy version 3.9.1
    - Converted some "Conflicts:" to "Breaks:"
  * debian/watch: corrected to not match bogus .tar.gz files



=== debian/control ===
--- 
+++ 
@@ -1,18 +1,35 @@
 Source: aspell
 Section: text
 Priority: optional
-Maintainer: Brian Nelson <pyro@debian.org>
-Build-Depends: debhelper (>= 7), libncursesw5-dev | libncurses-dev, cdbs (>= 0.4.0), texinfo
-Standards-Version: 3.8.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Brian Nelson <pyro@debian.org>
+Uploaders: Agustin Martin Domingo <agmartin@debian.org>
+Build-Depends: debhelper (>= 9),
+	       libncursesw5-dev | libncurses-dev,
+	       cdbs (>= 0.4.0),
+	       texinfo,
+	       dh-autoreconf,
+	       autopoint,
+	       autotools-dev
+Standards-Version: 4.0.0
+Vcs-Git: git://anonscm.debian.org/collab-maint/aspell
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/aspell.git
 Homepage: http://aspell.net/
 
 Package: aspell
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libaspell15 (= ${binary:Version}), dictionaries-common (>> 0.40)
+Multi-Arch: foreign
+Depends: ${shlibs:Depends},
+	 ${misc:Depends},
+	 libaspell15 (= ${binary:Version}),
+	 dictionaries-common (>> 0.40)
 Recommends: aspell-en | aspell-dictionary | aspell6a-dictionary
-Suggests: aspell-doc, spellutils
-Conflicts: aspell-bin (<< 0.60.3-2)
-Replaces: aspell-bin (<< 0.60.3-2), aspell-hi (<= 0.01-1), aspell-mr (<= 0.10-1)
+Suggests: aspell-doc,
+	  spellutils
+Breaks: aspell-bin (<< 0.60.3-2)
+Replaces: aspell-bin (<< 0.60.3-2),
+	  aspell-hi (<= 0.01-1),
+	  aspell-mr (<= 0.10-1)
 Provides: aspell-bin
 Description: GNU Aspell spell-checker
  GNU Aspell is a spell-checker which can be used either as a standalone
@@ -28,6 +45,7 @@
 
 Package: aspell-doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Section: doc
 Suggests: aspell (>> 0.60)
@@ -39,9 +57,15 @@
 
 Package: libaspell15
 Architecture: any
+Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: aspell6-dictionary, aspell-bin (<< 0.60.3-2)
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+	 ${misc:Depends}
+Conflicts: aspell6-dictionary
+Breaks: aspell-bin (<< 0.60.3-2),
+	aspell-da (<= 1.6.25-1.1),
+	aspell-no (<= 2.0.10-5.1)
 Recommends: aspell-en | aspell-dictionary | aspell6a-dictionary
 Suggests: aspell
 Description: GNU Aspell spell-checker runtime library
@@ -52,8 +76,11 @@
 
 Package: libaspell-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libaspell15 (= ${binary:Version})
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends},
+	 libaspell15 (= ${binary:Version})
 Suggests: aspell-doc
 Description: Development files for applications with GNU Aspell support
  This package contains the headers and static libraries for developing
@@ -66,8 +93,12 @@
 
 Package: libpspell-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libaspell15 (= ${binary:Version}), libaspell-dev
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends},
+	 libaspell15 (= ${binary:Version}),
+	 libaspell-dev
 Replaces: aspell-bin (<< 0.50.3-3)
 Suggests: aspell-doc
 Description: Development files for applications with pspell support

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_DH_MAKESHLIBS_ARGS_ALL := -V'libaspell15 (>= 0.60.7~20110707)' -Xusr/lib/aspell

DEB_DH_INSTALL_SOURCEDIR   := debian/tmp
DEB_INSTALL_CHANGELOGS_ALL := ChangeLog.html
DEB_CONFIGURE_EXTRA_FLAGS  := --enable-pkgdatadir=/usr/lib/aspell \
	                      --enable-pkglibdir=/usr/lib/aspell/$(DEB_HOST_MULTIARCH) \
			      --enable-debian-dict-dir=/usr/lib/aspell \
			      --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	                      --enable-32-bit-hash-fun

# Save a pristine copy of original changelog. Since it will be rebuilt
# again later, use -n to preserve the original file instead of
# having it overwritten with autogenerated file. Needed for multiarch
# in case rebuild happens with different makeinfo versions resulting
# in different results.
makebuilddir::
	cp -n manual/aspell.html/ChangeLog.html .

build/aspell-doc::
	make -C manual aspell.html aspell-dev.html

install/aspell::
	install -m644 debian/aspell.compat debian/aspell/usr/share/aspell/
	install -D -m644 debian/aspell.lintian debian/aspell/usr/share/lintian/overrides/aspell

install/aspell-doc::
	dh_install --sourcedir=manual -paspell-doc aspell.html usr/share/doc/aspell-doc/
	dh_install --sourcedir=manual -paspell-doc aspell-dev.html usr/share/doc/aspell-doc/

binary-install/libaspell15::
# Empty the dependency_libs lines in the .la files
	sed -i "s,^dependency_libs=.*,dependency_libs=''," \
	   debian/libaspell15/usr/lib/aspell/$(DEB_HOST_MULTIARCH)/*.la

binary-install/libaspell-dev::
binary-install/libpspell-dev::
	sed -i "s,^dependency_libs=.*,dependency_libs=''," \
	   debian/libaspell-dev/usr/lib/$(DEB_HOST_MULTIARCH)/*.la \
	   debian/libpspell-dev/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

clean::
	rm -f ChangeLog.html

## aspell 0.60.7~20110707.2

=== debian/changelog ===
aspell (0.60.7~20110707.2-1+dde) unstable; urgency=medium

  * update

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 09 Aug 2021 16:23:15 +0800

aspell (0.60.7~20110707.1-1+dde) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Convert from cdbs to dh.

  [ Agustin Martin Domingo ]
  * Remove Brian Nelson from uploaders list  (Closes: #915448).
  * Ship text version of upstream changelog in doc dir.
  * Make aspell copyright DEP5.
  * Register html docs with doc-base.
  * Enable hardening flags in debian/rules.
  * Fix some typos in 1000_fix-man-pages.diff description.
  * Fix another typo in aspell man page.
  * aspell.postinst:
    - Add explicit 'set -e' line.
    - Do not hardcode aspell-autobuildhash path in test.
  * debian/control: Bump Standards-Version.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 31 Jan 2019 11:25:50 +0100

aspell (0.60.7~20110707-5) unstable; urgency=medium

  * debian/control:
    - Update Vcs-Browser and Vcs-Git for salsa migration.
    - Bump Standards-Version. No changes required.
  * Bump debhelper compat level to 10 (cdbs does not yet support 11).
  * debian/copyright: Point to specific LGPL-2 file.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 09 May 2018 12:29:22 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DPKG_EXPORT_BUILD_FLAGS=1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -f changelog.txt

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-pkgdatadir=/usr/lib/aspell \
		--enable-pkglibdir=/usr/lib/aspell/$(DEB_HOST_MULTIARCH) \
		--enable-debian-dict-dir=/usr/lib/aspell \
		--enable-32-bit-hash-fun

override_dh_auto_build:
# Save a pristine copy of original changelog. Since it will be rebuilt
# again later, use -n to preserve the original file instead of
# having it overwritten with autogenerated file. Needed for multiarch
# in case rebuild happens with different makeinfo versions resulting
# in different results.
	lynx -dump -nolist manual/aspell.html/ChangeLog.html > changelog.txt
	dh_auto_build
	make -C manual aspell.html aspell-dev.html

override_dh_install-arch:
	dh_install -a
	install -m644 debian/aspell.compat debian/aspell/usr/share/aspell/
	install -D -m644 debian/aspell.lintian debian/aspell/usr/share/lintian/overrides/aspell
# Empty the dependency_libs lines in the .la files
	sed -i "s,^dependency_libs=.*,dependency_libs=''," \
	   debian/libaspell15/usr/lib/aspell/$(DEB_HOST_MULTIARCH)/*.la
	sed -i "s,^dependency_libs=.*,dependency_libs=''," \
	   debian/libaspell-dev/usr/lib/$(DEB_HOST_MULTIARCH)/*.la \
	   debian/libpspell-dev/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

override_dh_install-indep:
	dh_install --sourcedir=manual -paspell-doc aspell.html usr/share/doc/aspell-doc/
	dh_install --sourcedir=manual -paspell-doc aspell-dev.html usr/share/doc/aspell-doc/
	dh_install -i

override_dh_installdocs:
	dh_installdocs -A changelog.txt

override_dh_makeshlibs:
	dh_makeshlibs -- -V'libaspell15 (>= 0.60.7~20110707)' -Xusr/lib/aspell

## aspell 0.60.7

=== debian/changelog ===
aspell (0.60.7-3ubuntu0.1) eoan-security; urgency=medium

  * SECURITY UPDATE: Stack-based buffer over-read
    - debian/patches/CVE-2019-17544.patch: add checks
      in common/config.cpp, common/file_util.cpp,
      common/getdata.cpp.
    - CVE-2019-17544

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 18 Oct 2019 09:42:30 -0300

aspell (0.60.7-3) unstable; urgency=medium

  * Upload to sid.
  * Use debhelper-compat Build-Dep. Bump compat level to 12.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 06 Sep 2019 11:52:20 +0200

aspell (0.60.7-2) experimental; urgency=medium

  * debian/rules: Make sure everything is regenerated after applying
    upstream fix for potentially unbounded buffer over-read. Thanks Kevin
    Atkinson.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 29 Aug 2019 10:08:08 +0200

aspell (0.60.7-1) experimental; urgency=medium

  * New upstream version (Closes: #934810).
  * Add upstream fix to deal with potentially unbounded buffer over-read
    in GNU Aspell 0.60.* (Closes: #935128).
  * Add upstream patch to raise library version. Modify shlibs stuff
    accordingly.
  * Add upstream gpg key and make uscan check it.
  * debian/control: Bump Standards-Version. No changes required.
  * debian/watch:
    - Use https source and raise version to 4.
    - Use generic substitution variables.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 28 Aug 2019 13:06:26 +0200

aspell (0.60.7~20110707-6) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Convert from cdbs to dh.

  [ Agustin Martin Domingo ]
  * Remove Brian Nelson from uploaders list  (Closes: #915448).
  * Ship text version of upstream changelog in doc dir.
  * Make aspell copyright DEP5.
  * Register html docs with doc-base.
  * Enable hardening flags in debian/rules.
  * Fix some typos in 1000_fix-man-pages.diff description.
  * Fix another typo in aspell man page.
  * aspell.postinst:
    - Add explicit 'set -e' line.
    - Do not hardcode aspell-autobuildhash path in test.
  * debian/control: Bump Standards-Version.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 31 Jan 2019 11:25:50 +0100

=== debian/control ===
Source: aspell
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Agustin Martin Domingo <agmartin@debian.org>
Section: text
Priority: optional
Build-Depends: debhelper-compat (= 12),
	       dpkg-dev (>= 1.16.1~),
               libncursesw5-dev | libncurses-dev,
               texinfo,
               autopoint,
	       lynx
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/debian/aspell
Vcs-Git: https://salsa.debian.org/debian/aspell.git
Homepage: http://aspell.net/

Package: aspell
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libaspell15 (= ${binary:Version}),
         dictionaries-common (>> 0.40)
Recommends: aspell-en | aspell-dictionary | aspell6a-dictionary
Suggests: aspell-doc,
          spellutils
Breaks: aspell-bin (<< 0.60.3-2)
Provides: aspell-bin
Replaces: aspell-bin (<< 0.60.3-2),
          aspell-hi (<= 0.01-1),
          aspell-mr (<= 0.10-1)
Description: GNU Aspell spell-checker
 GNU Aspell is a spell-checker which can be used either as a standalone
 application or embedded in other programs.  Its main feature is that it
 does a much better job of suggesting possible spellings than just about
 any other spell-checker available for the English language, including
 Ispell and Microsoft Word.  It also has many other technical
 enhancements over Ispell such as using shared memory for dictionaries
 and intelligently handling personal dictionaries when more than one
 Aspell process is open at once.
 .
 Aspell is designed to be a drop-in replacement for Ispell.

Package: aspell-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: aspell (>> 0.60)
Description: Documentation for GNU Aspell spell-checker
 This package contains the documentation for GNU Aspell in various
 formats.  The aspell package comes with minimal man pages.  Install
 this package if you need further information on the development process
 and workings of Aspell.

Package: libaspell15
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: aspell-en | aspell-dictionary | aspell6a-dictionary
Suggests: aspell
Pre-Depends: ${misc:Pre-Depends}
Breaks: aspell-bin (<< 0.60.3-2),
        aspell-da (<= 1.6.25-1.1),
        aspell-no (<= 2.0.10-5.1)
Conflicts: aspell6-dictionary
Description: GNU Aspell spell-checker runtime library
 These are the runtime parts of the Aspell and pspell spell-checking
 toolkits, needed by applications that use the toolkits at runtime.
 .
 For a standalone spell-checker, install aspell as well.

Package: libaspell-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libaspell15 (= ${binary:Version})
Suggests: aspell-doc
Pre-Depends: ${misc:Pre-Depends}
Description: Development files for applications with GNU Aspell support
 This package contains the headers and static libraries for developing
 applications with Aspell spell-checking support.
 .
 You need this package ONLY if you plan to build applications that link
 against the Aspell libraries.  You do not have to install this package
 if all you want to do is use the Aspell program to spell-check
 documents.

Package: libpspell-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libaspell15 (= ${binary:Version}),
         libaspell-dev
Suggests: aspell-doc
Pre-Depends: ${misc:Pre-Depends}
Replaces: aspell-bin (<< 0.50.3-3)
Description: Development files for applications with pspell support
 This package contains the headers and static libraries for developing
 applications with portable spell-checking interface (pspell) support.
 .
 You need this package ONLY if you plan to build applications that link
 against the pspell static libraries.  You do not have to install this
 package if all you want to do is use the Aspell program to spell-check.

## aspell 0.60.8

=== debian/changelog ===
aspell (0.60.8-4build1) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 10:41:10 +0100

aspell (0.60.8-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.
    + aspell: Drop versioned constraint on dictionaries-common in Depends.
    + aspell: Drop versioned constraint on aspell-hi and aspell-mr in Replaces.
    + aspell-doc: Drop versioned constraint on aspell in Suggests.
    + libaspell15: Drop versioned constraint on aspell-da and aspell-no in
      Breaks.

  [ Agustin Martin Domingo ]
  * Update lintian overrides.
  * debian/control:
    - Add Rules-Requires-Root: no
    - Bump Standards-Version. No changes required.
    - Bump debhelper-compat to 13.
  * debian/upstream/metadata: Add Bug-Database.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 28 Sep 2021 23:55:53 +0200

aspell (0.60.8-3) unstable; urgency=medium

  * 000-objstack-assert-that-the-alloc-size-will-fit-within-.patch:
    Fix CVE-2019-25051: objstack in GNU Aspell 0.60.8 has a heap-based
    buffer overflow (Closes: #991307).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 20 Jul 2021 23:42:34 +0200

aspell (0.60.8-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Wrap long lines in changelog entries: 0.33.7-2, 0.28.2.1-2.
  * Update standards version to 4.5.0, no changes needed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 28 Dec 2020 15:24:45 +0100

aspell (0.60.8-1) unstable; urgency=medium

  * New upstream release.
    - Includes sorting of personal and replace files (Closes: #900162).
    - Adapt old patches to new release.
    - Remove no longer needed patches:
      + 05_doc_fix.diff
      + 1000_fix-man-pages.diff
      + 1001_fix-more-man-pages.diff
      + 2001-Don-t-allow-null-terminated-UCS-2-4-strings-using-th.patch
      + 2002-Increment-library-version-to-reflect-API-changes.patch
  * debian/control: Bump Standards-version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Oct 2019 12:14:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: aspell
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Agustin Martin Domingo <agmartin@debian.org>
+Maintainer: Agustin Martin Domingo <agmartin@debian.org>
 Section: text
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-	       dpkg-dev (>= 1.16.1~),
+Build-Depends: debhelper-compat (= 13),
                libncursesw5-dev | libncurses-dev,
                texinfo,
                autopoint,
 	       lynx
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/aspell
 Vcs-Git: https://salsa.debian.org/debian/aspell.git
 Homepage: http://aspell.net/
@@ -20,15 +19,13 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libaspell15 (= ${binary:Version}),
-         dictionaries-common (>> 0.40)
+         dictionaries-common
 Recommends: aspell-en | aspell-dictionary | aspell6a-dictionary
 Suggests: aspell-doc,
           spellutils
 Breaks: aspell-bin (<< 0.60.3-2)
 Provides: aspell-bin
-Replaces: aspell-bin (<< 0.60.3-2),
-          aspell-hi (<= 0.01-1),
-          aspell-mr (<= 0.10-1)
+Replaces: aspell-bin (<< 0.60.3-2)
 Description: GNU Aspell spell-checker
  GNU Aspell is a spell-checker which can be used either as a standalone
  application or embedded in other programs.  Its main feature is that it
@@ -46,7 +43,7 @@
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
-Suggests: aspell (>> 0.60)
+Suggests: aspell
 Description: Documentation for GNU Aspell spell-checker
  This package contains the documentation for GNU Aspell in various
  formats.  The aspell package comes with minimal man pages.  Install
@@ -62,9 +59,7 @@
 Recommends: aspell-en | aspell-dictionary | aspell6a-dictionary
 Suggests: aspell
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: aspell-bin (<< 0.60.3-2),
-        aspell-da (<= 1.6.25-1.1),
-        aspell-no (<= 2.0.10-5.1)
+Breaks: aspell-bin (<< 0.60.3-2)
 Conflicts: aspell6-dictionary
 Description: GNU Aspell spell-checker runtime library
  These are the runtime parts of the Aspell and pspell spell-checking

=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://ftp.gnu.org/gnu/aspell/ \
@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## aspell 0.60.8.1

=== debian/changelog ===
aspell (0.60.8.1-6) unstable; urgency=medium

  * debian/patches/1000_run-with-aspell.1.diff: Some editorial changes
    for this man page. Thanks Bjarni Ingi Gislason (Closes: #1118439).

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 20 Oct 2025 12:53:50 +0200

aspell (0.60.8.1-5) unstable; urgency=medium

  * debian/watch: Upgrade to version 5.
  * debian/copyright: Fix lintian old-fsf-address-in-copyright-file.
  * debian/control: Bump Standards-Version to 4.7.2. No changes.
  * Make some lintian overrides not arch-dependent.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 13 Oct 2025 17:58:51 +0200

aspell (0.60.8.1-4) unstable; urgency=medium

  * Borrow patch from upstream to deal with gcc15. Thanks Sergei
    Trofimovich for the original patch (Closes: #1096334).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 18 Feb 2025 00:45:46 +0100

aspell (0.60.8.1-3) unstable; urgency=medium

  * debian/prezip.1: Some improvements for this man page. Thanks Bjarni
    Ingi Gislason (Closes: #1092073).

 -- Agustin Martin Domingo <agmartin@debian.org>  Sun, 05 Jan 2025 16:25:36 +0100

aspell (0.60.8.1-2) unstable; urgency=medium

  * aspell.1: Remarks and editorial changes for this man page.
    Thanks Bjarni Ingi Gislason (Closes: #1088846).
  * aspell-import.1: Remarks and editorial changes for this man page.
    Thanks Bjarni Ingi Gislason (Closes: #1088848).
  * debian/control: Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 03 Dec 2024 23:39:59 +0100

aspell (0.60.8.1-1) unstable; urgency=medium

  * New upstream version.
    - Remove patches integrated in this upstream version:
      + 1000-objstack-assert-that-the-alloc-size-will-fit-within-.patch
      + 8000_Fix-aspell.1--manual-page.diff
      + 8000_Fix-run-with-aspell.1-manual-page.diff

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 20 Dec 2023 19:39:49 +0100

aspell (0.60.8-6) unstable; urgency=medium

  * debian/rules:
    - Make sure auto/mk-src.pod is removed in override_dh_clean target
      (Closes: #1043601).
    - Remove obsolete comments.
  * debian/{control,rules}: Use w3m instead of lynx to generate
    changelog.txt (Closes: #1049566).

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 25 Aug 2023 20:31:12 +0200

aspell (0.60.8-5) unstable; urgency=medium

  * New patches to fix minor issues with aspell.1 and run-with-aspell.1
    man pages (thanks Bjarni Ingi Gislason).
    - 8000_Fix-aspell.1--manual-page.diff (Closes: #1037059).
    - 8000_Fix-run-with-aspell.1-manual-page.diff (Closes: #1037060).
  * debian/libaspell15.lintian-overrides: Update to new format and
    document.
  * debian/source/lintian-overrides: New overrides file.
  * debian/control:
    - Update Build-Depends: libncursesw5-dev => libncurses-dev.
    - Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 12 Jun 2023 11:46:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Section: text
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libncursesw5-dev | libncurses-dev,
+               libncurses-dev,
                texinfo,
                autopoint,
-	       lynx
-Standards-Version: 4.6.0.1
+	       w3m
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/aspell
 Vcs-Git: https://salsa.debian.org/debian/aspell.git

=== debian/watch ===
version: 5

Source: https://ftp.gnu.org/gnu/aspell/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Mode: auto

## aspell 0.60.8.2

=== test/Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 	cd build && ../../configure "CXXFLAGS=${CXXFLAGS} ${EXTRA_CXXFLAGS}" "CFLAGS=${CFLAGS}" -q --enable-silent-rules --disable-shared --disable-pspell-compatibility --prefix="${CURDIR}/inst" $(EXTRA_CONFIG_FLAGS)
 
 aspell6-en-2018.04.16-0.tar.bz2:
-	curl -O ftp://ftp.gnu.org/gnu/aspell/dict/en/aspell6-en-2018.04.16-0.tar.bz2
+	curl -O https://ftp.gnu.org/gnu/aspell/dict/en/aspell6-en-2018.04.16-0.tar.bz2
 
 .PHONY: clean
 clean:

=== debian/changelog ===
aspell (0.60.8.2-3) unstable; urgency=medium

  * debian/tests/control: Also depend on build-essential and
    libipc-system-simple-perl.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 03 Feb 2026 21:37:08 +0100

aspell (0.60.8.2-2) unstable; urgency=medium

  * debian/tests: Add autopkgtest testsuite based on upstream tests.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 03 Feb 2026 10:58:10 +0100

aspell (0.60.8.2-1) unstable; urgency=medium

  * New upstream version 0.60.8.2.
  * debian/gbp.conf: Add file with git-buildpackage defaults.
  * debian/patches/:
    - Remove patches applied upstream.
    - 01_debctrl_filter.diff: Refresh.
  * debian/control:
    - Remove redundant "Rules-Requires-Root: no".
    - debian/control: Remove redundant "Priority: optional".
    - Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 29 Jan 2026 04:20:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: aspell
 Maintainer: Agustin Martin Domingo <agmartin@debian.org>
 Section: text
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libncurses-dev,
                texinfo,
                autopoint,
 	       w3m
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian/aspell
 Vcs-Git: https://salsa.debian.org/debian/aspell.git
 Homepage: http://aspell.net/

=== debian/tests/control ===
Tests: sanity-check.test,
 filter-check.test,
 wide-test-valid.test,
 wide-test-invalid.test,
 wide-test-invalid-but-ok.test,
 cxx-warnings.test
Depends: @, aspell-en, build-essential, libipc-system-simple-perl
Restrictions: allow-stderr
